Skip to main content
POST
/
gb
/
organizations
/
{organization_id}
/
p32
/
{tax_year}
/
{tax_month}
/
request-repayment
Request repayment of a P32 surplus
curl --request POST \
  --url https://preview.intermezzo.ai/gb/organizations/{organization_id}/p32/{tax_year}/{tax_month}/request-repayment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount_requested": 1
}
'
{
  "id": "<string>",
  "employerId": "<string>",
  "taxYear": 123,
  "taxMonth": 123,
  "amountRequested": "<string>",
  "status": "pending",
  "requestedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
tax_year
integer
required
tax_month
integer
required
Required range: 1 <= x <= 12

Body

application/json
amount_requested
required
Required range: x > 0

Response

Successful Response

id
string
required
employerId
string
required
taxYear
integer
required
taxMonth
integer
required
amountRequested
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
status
enum<string>
required
Available options:
pending,
confirmed,
rejected
requestedAt
string<date-time>
required